package com.xhpc.file.domain;

import com.xhpc.common.core.web.domain.BaseEntity;


/**
 * @author
 * @description 上传图片 xhpc_img
 * @date 2021-07-22
 */
public class XhpcImg extends BaseEntity {

    /**
     * 上传id
     */
    private Long imgId;

    /**
     * 路径
     */
    private String url;

    /**
     * 状态（0正常 1停用）
     */
    private Integer status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private Integer delFlag;

    /**
     * 生成的图片所对应的终端的终端号
     */
    private Long serialNumber;

    public Long getSerialNumber() {

        return serialNumber;
    }

    public void setSerialNumber(Long serialNumber) {

        this.serialNumber = serialNumber;
    }

    public Long getImgId() {
        return imgId;
    }

    public void setImgId(Long imgId) {
        this.imgId = imgId;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(Integer delFlag) {
        this.delFlag = delFlag;
    }
}
